SystemOrganization addCategory: #'Pier-Paypal-Model'!
SystemOrganization addCategory: #'Pier-Paypal-Seaside'!

PRCase subclass: #PRPaypalCart
	instanceVariableNames: 'store cartItems'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Paypal-Model'!

!PRPaypalCart class methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 02:23'!
accept: aVisitor
	aVisitor visitPaypalStore: self! !

!PRPaypalCart class methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 02:23'!
canBeParentOf: aClass
	^ aClass includesBehavior: PRPaypalStoreItem! !

!PRPaypalCart methodsFor: 'as yet unclassified' stamp: 'jmck 3/14/2009 23:50'!
cartItems
	^cartItems ifNil: [ 
		cartItems := store items collect: [ :item | 
			PRPaypalCartItem forItem: item ] ]! !

PRCase subclass: #PRPaypalStore
	instanceVariableNames: ''
	classVariableNames: 'Items'
	poolDictionaries: ''
	category: 'Pier-Paypal-Model'!

!PRPaypalStore class methodsFor: 'visiting' stamp: 'jmck 3/14/2009 21:13'!
accept: aVisitor
	aVisitor visitPaypalStore: self! !

!PRPaypalStore class methodsFor: 'testing' stamp: 'jmck 3/14/2009 23:48'!
canBeParentOf: aClass
	^ aClass includesBehavior: PRPaypalStoreItem! !

!PRPaypalStore class methodsFor: 'defaults' stamp: 'jmck 3/15/2009 00:04'!
defaultBN
	^'pier.seaside.smalltalk'! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:41'!
descriptionBackgroundColor
	^MAColorDescription new
		propertyAccessor: 'cpp_ headerback_ color';
		label: 'Background Color';
		comment: 'Background color for logo that PayPal will display';
		priority: 144;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:28'!
descriptionBn
	^MAStringDescription new
		propertyAccessor: 'bn';
		label: 'Store Builder Name';
		comment: '"Builder Name" for this store';
		default: self defaultBN;
		priority: 111;
		bePaypal;
		beSetting;
		beOptional;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:29'!
descriptionBusiness
	^MAStringDescription new
		propertyAccessor: 'business';
		label: 'Business';
		comment: '"Buisness ID for this store (account email address)';
		priority: 110;
		bePaypal;
		beSetting;
		beRequired;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:29'!
descriptionCurrencyCode
	^MASingleOptionDescription new
		options: #('USD' 'EUR' 'YEN' 'LYRA');
		propertyAccessor: 'currency_code';
		label: 'Currency code';
		comment: 'Currency code';
		priority: 112;
		bePaypal;
		beSetting;
		beRequired;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:29'!
descriptionHeaderBorderColor
	^MAColorDescription new
		propertyAccessor: 'cpp_ headerborder_color';
		label: 'Header Border Color';
		comment: 'Header border color for logo that PayPal will display';
		priority: 142;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:29'!
descriptionHeaderImage
	^MAFileDescription new
		propertyAccessor: 'cpp_header_ image';
		label: 'Header Image';
		comment: 'URL for logo image that PayPal will display';
		priority: 141;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/14/2009 23:48'!
descriptionItems
	^MAToManyRelationDescription new
		classes: PRPaypalStoreItem;
		accessor: #items;
		label: 'Store Items';
		priority: 110;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:30'!
descriptionLogoImage
	^MAFileDescription new
		propertyAccessor: 'image_url';
		label: 'Logo Image';
		comment: 'URL for logo image that PayPal will display';
		priority: 140;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:30'!
descriptionMRB
	^MAStringDescription new
		propertyAccessor: 'mrb';
		label: 'Merchant Referral Bonus ID';
		comment: 'MRB ID issued by PayPal';
		priority: 131;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:30'!
descriptionNote
	^MASingleOptionDescription new
		optionsAndLabels: {'0'->'Show note text box'. '1'->'Hide note textbox'.};
		propertyAccessor: 'no_note';
		label: 'Show/Hide Note textbox';
		comment: 'Whether or not to allow buyer to enter a note';
		priority: 121;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:30'!
descriptionNotifyUrl
	^MAStringDescription new
		propertyAccessor: 'notify_url';
		label: 'Notify URL';
		comment: 'The URL to which PayPal posts information about the transaction';
		priority: 132;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:30'!
descriptionPAL
	^MAStringDescription new
		propertyAccessor: 'pal';
		label: 'Paypal ID';
		comment: 'Pal ID issued by PayPal';
		priority: 130;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:30'!
descriptionPayflowColor
	^MAColorDescription new
		propertyAccessor: 'cpp_payflow_ color';
		label: 'Payflow color';
		comment: 'Payflow color for logo that PayPal will display';
		priority: 143;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStore class methodsFor: 'described' stamp: 'jmck 3/15/2009 20:30'!
descriptionShipping
	^MASingleOptionDescription new
		optionsAndLabels: {'0'->'Prompt - Required'. '1'->'Do not prompt'. '2'->'Prompt - Required'};
		propertyAccessor: 'no_shipping';
		label: 'Shipping Address Option';
		comment: 'Whether or not to require shipping address Unmatched string quote ->';
		priority: 120;
		bePaypal;
		beSetting;
		beRequired;
		yourself! !

!PRPaypalStore class methodsFor: 'testing' stamp: 'jmck 3/14/2009 11:13'!
isAbstract
	^false! !

!PRPaypalStore methodsFor: 'visiting' stamp: 'jmck 3/14/2009 23:09'!
accept: aVisitor
	aVisitor visitPaypalStore: self! !

!PRPaypalStore methodsFor: 'accessing' stamp: 'jmck 3/15/2009 01:50'!
allStoreItemsIn: aContext
	"Answer all the comments in choronological order."

	^ ((aContext enumeratorFor: self) all
		select: [ :each |
			each isStoreItem ])
		sort: [ :a :b | (a propertyAt: 'item_number') < (b propertyAt: 'item_number') ];
		yourself! !

!PRPaypalStore methodsFor: 'testing' stamp: 'jmck 3/15/2009 01:50'!
isStoreItem
	^false! !

!PRPaypalStore methodsFor: 'testing' stamp: 'jmck 3/15/2009 01:47'!
isValidView: aComponentClass in: aContext
	^ super viewComponentClass ~= aComponentClass! !

!PRPaypalStore methodsFor: 'accessing' stamp: 'jmck 3/14/2009 13:23'!
items
	^Items ifNil: [ Items := OrderedCollection new ]! !

!PRPaypalStore methodsFor: 'accessing' stamp: 'jmck 3/14/2009 13:26'!
items: aCollection
	^Items := aCollection! !

!PRPaypalStore methodsFor: 'rendering' stamp: 'jmck 3/15/2009 01:34'!
viewComponentClass
	^ PRPaypalStoreView! !

PRCase subclass: #PRPaypalStoreItem
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Paypal-Model'!

PRPaypalStoreItem subclass: #PRPaypalCartItem
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Paypal-Model'!

!PRPaypalCartItem class methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 02:20'!
canBeChildOf: aClass
	^aClass includesBehavior: PRPaypalCart! !

!PRPaypalCartItem class methodsFor: 'as yet unclassified' stamp: 'jmck 3/14/2009 21:44'!
descriptionQuantity
	^MANumberDescription new
		propertyAccessor: 'quantity';
		label: 'Quantity';
		comment: 'Number of Items';
		viewComponentClass: MARangeComponent;
		priority: 100;
		bePositive;
		beEditable;
		yourself! !

!PRPaypalCartItem class methodsFor: 'as yet unclassified' stamp: 'jmck 3/14/2009 21:39'!
forItem: anItem
	| item |
	item := self new.
	anItem properties keysAndValuesDo: [ :property :value |
		item perform: (property asMutator: value) ].
	^ item
		! !

!PRPaypalStoreItem class methodsFor: 'testing' stamp: 'jmck 3/14/2009 23:47'!
canBeChildOf: aClass
	^aClass includesBehavior: PRPaypalStore! !

!PRPaypalStoreItem class methodsFor: 'testing' stamp: 'jmck 3/14/2009 23:46'!
canBeParentOf: aClass
	^false! !

!PRPaypalStoreItem class methodsFor: 'accessing-description' stamp: 'jmck 3/15/2009 20:33'!
descriptionAmount
	^MANumberDescription new
		propertyAccessor: #amount;
		label: 'Price';
		comment: 'Selling price for this item';
		priority: 130;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStoreItem class methodsFor: 'accessing-description' stamp: 'jmck 3/15/2009 20:33'!
descriptionItemName
	^MAStringDescription new
		propertyAccessor: 'item_name';
		label: 'Description';
		comment: 'Description of item';
		priority: 120;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStoreItem class methodsFor: 'accessing-description' stamp: 'jmck 3/15/2009 20:33'!
descriptionItemNumber
	^MAStringDescription new
		propertyAccessor: 'item_number';
		label: 'Item';
		comment: 'Pass-through variable for you to track product or service purchased';
		priority: 110;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStoreItem class methodsFor: 'accessing-description' stamp: 'jmck 3/15/2009 22:51'!
descriptionQuantity
	^MANumberDescription new
		propertyAccessor: 'quantity';
		label: 'Qty';
		priority: 190;
		default: 1;
		bePaypal;
		bePositive;
		beEditable;
		yourself! !

!PRPaypalStoreItem class methodsFor: 'accessing-description' stamp: 'jmck 3/15/2009 20:32'!
descriptionWeight
	^MANumberDescription new
		propertyAccessor: 'weight';
		label: 'Weight';
		comment: 'Total weight for this line item';
		priority: 150;
		bePaypal;
		beSetting;
		bePositive;
		yourself! !

!PRPaypalStoreItem class methodsFor: 'accessing-description' stamp: 'jmck 3/15/2009 20:33'!
descriptionWeightUnit
	^MASingleOptionDescription new
		options: #( 'lbs' 'kgs');
		propertyAccessor: 'weight_unit';
		label: 'Weight Unit';
		comment: 'Units of measure for the weight for this line item';
		priority: 160;
		bePaypal;
		beSetting;
		yourself! !

!PRPaypalStoreItem class methodsFor: 'testing' stamp: 'jmck 3/15/2009 02:17'!
isAbstract
	^false! !

!PRPaypalStoreItem methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 01:55'!
accept: aVisitor
	aVisitor visitPaypalStoreItem: self! !

!PRPaypalStoreItem methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 01:51'!
isStoreItem
	^true! !

!PRPaypalStoreItem methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 01:35'!
viewComponentClass
	^ PRPaypalStoreItemView! !

!PRVisitor methodsFor: '*pier-paypal-model' stamp: 'jmck 3/14/2009 21:15'!
visitPaypalStore: aStore
	self visitCase: aStore! !

!PRVisitor methodsFor: '*pier-paypal-model' stamp: 'jmck 3/15/2009 02:28'!
visitPaypalStoreItem: aStoreItem
	self visitCase: aStoreItem! !

PRAddCommand subclass: #PRPaypalAddItemCommand
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Paypal-Seaside'!

!PRPaypalAddItemCommand class methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 15:03'!
isValidIn: aContext
	^aContext structure class includesBehavior: PRPaypalStore! !

!PRPaypalAddItemCommand class methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 15:13'!
label
	^'Add Paypal Store Item'! !

!PRPaypalAddItemCommand methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 15:12'!
doExecute
	super doExecute.
	self context structure items add: self child! !

!PRPaypalAddItemCommand methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 15:11'!
type
	^type ifNil: [ type = PRPaypalStoreItem ]! !

!MADescription methodsFor: '*pier-paypal' stamp: 'jmck 3/15/2009 20:42'!
bePaypal
	self propertyAt: #paypal put: true.
	self group: 'Paypal Settings'! !

!MADescription methodsFor: '*pier-paypal' stamp: 'jmck 3/15/2009 20:38'!
isPaypal
	^self propertyAt: #paypal ifAbsent: [ false ]! !

PRDefaultView subclass: #PRPaypalStoreItemView
	instanceVariableNames: 'item component'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Paypal-Seaside'!

!PRPaypalStoreItemView methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 01:38'!
buildComponent
	^ self item asComponent
		addValidatedForm;
		onAnswer: [ :value | self answer: value ];
		yourself! !

!PRPaypalStoreItemView methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 01:37'!
component
	^ component ifNil: [ component := self buildComponent ]! !

!PRPaypalStoreItemView methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 01:39'!
item
	^ item ifNil: [ item := PRPaypalStoreItem new ]! !

!PRPaypalStoreItemView methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 22:31'!
renderContentOn: html
	| anItem |
	super renderContentOn: html.
	anItem := self context structure.
	html table: [
		anItem description do: [ :desc | 
			desc isPaypal ifTrue: [
				html tableRow: [
					html tableHeading: desc label.
					html tableData: ((anItem readUsing: desc) asString) ] ] ] ]! !

!PRPaypalStoreItemView methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 22:41'!
renderEditorOn: html
	super renderEditorOn: html! !

!PRPaypalStoreItemView methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 22:40'!
renderViewerOn: html
	self halt.
	html render: self component! !

PRDefaultView subclass: #PRPaypalStoreView
	instanceVariableNames: 'component report cart'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Paypal-Seaside'!

!PRPaypalStoreView methodsFor: 'accessing' stamp: 'jmck 3/15/2009 22:35'!
buildCart
	| shoppingcart | 
	self halt.
	shoppingcart := self report copy.
	shoppingcart addColumn: PRPaypalAddToCartCommandColumn.
	^shoppingcart
! !

!PRPaypalStoreView methodsFor: 'accessing' stamp: 'jmck 3/14/2009 20:16'!
buildComponent
	^self store asComponent
		addValidatedForm;
		onAnswer: [ :value | self answer: value ];
		yourself! !

!PRPaypalStoreView methodsFor: 'accessing' stamp: 'jmck 3/15/2009 23:03'!
buildReport
	| rpt |
	rpt := MAReport new rows: self reportItems. 
	PRPaypalStoreItem description do: [ :desc |
		desc isPaypal ifTrue: [
			rpt addColumnDescription: desc ] ].
	rpt addColumn: (PRPaypalAddToCartCommandColumn new store: self context structure; yourself).
	^rpt
! !

!PRPaypalStoreView methodsFor: 'accessing' stamp: 'jmck 3/15/2009 18:00'!
cart
	^ cart ifNil: [ cart := self buildCart ]! !

!PRPaypalStoreView methodsFor: 'accessing' stamp: 'jmck 3/14/2009 20:15'!
component
	^ component ifNil: [ component := self buildComponent ]! !

!PRPaypalStoreView methodsFor: 'rendering' stamp: 'jmck 3/15/2009 23:07'!
renderContentOn: html
	super renderContentOn: html.
	html render: self report.
! !

!PRPaypalStoreView methodsFor: 'rendering' stamp: 'jmck 3/15/2009 20:49'!
renderStoreItem: anItem on: html
	anItem description do: [ :desc |
		desc isPaypal ifTrue: [
			html tableData: [ html text: ((anItem readUsing: desc) asString) ] ] ]! !

!PRPaypalStoreView methodsFor: 'rendering' stamp: 'jmck 3/15/2009 15:45'!
renderStoreItemHeaderOn: html
"	html tableGroup:
		with: [
			html tableColumn
			self renderStoreItemHeaderOn: html.
			self renderStoreItemsOn: html.
			] 
"		
	! !

!PRPaypalStoreView methodsFor: 'rendering' stamp: 'jmck 3/15/2009 16:42'!
renderStoreItemsOn: html
	(self context structure allStoreItemsIn: self context) do: [ :each | 
		html tableRow: [ 
			self renderStoreItem: each on: html ]
	]! !

!PRPaypalStoreView methodsFor: 'rendering' stamp: 'jmck 3/15/2009 15:37'!
renderStoreOn: html
	html table
		class: 'paypal-store';
		with: [
			self renderStoreItemHeaderOn: html.
			self renderStoreItemsOn: html.
			] 
		
	! !

!PRPaypalStoreView methodsFor: 'rendering' stamp: 'jmck 3/14/2009 23:33'!
renderViewerOn: html
	html render: self component

! !

!PRPaypalStoreView methodsFor: 'accessing' stamp: 'jmck 3/14/2009 20:13'!
report
	^ report ifNil: [ report := self buildReport ]! !

!PRPaypalStoreView methodsFor: 'convenience' stamp: 'jmck 3/15/2009 17:31'!
reportItems
	^ self context structure allStoreItemsIn: self context! !

!PRPaypalStoreView methodsFor: 'accessing' stamp: 'jmck 3/14/2009 23:47'!
store
	^store ifNil: [ store := self find: PRPaypalStore ]! !

MAActionColumn subclass: #PRPaypalCommandColumn
	instanceVariableNames: 'item store'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Paypal-Seaside'!

PRPaypalCommandColumn subclass: #PRPaypalAddToCartCommandColumn
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Paypal-Seaside'!

!PRPaypalAddToCartCommandColumn methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 22:08'!
altText
	^ 'Add this item to your PayPal shopping cart'! !

!PRPaypalAddToCartCommandColumn methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 22:15'!
cmdValue
	^'_xclick'! !

!PRPaypalAddToCartCommandColumn methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 19:59'!
imageUrl
	^'https://www.paypal.com/en_US/i/btn/btn_cart_SM.gif'! !

!PRPaypalAddToCartCommandColumn methodsFor: 'as yet unclassified' stamp: 'jmck 3/14/2009 18:57'!
initialize
	super initialize.
	self cmd: '_xclick'! !

!PRPaypalCommandColumn class methodsFor: 'as yet unclassified' stamp: 'jmck 3/14/2009 18:03'!
forItem: anItem inStore: aStore
	^self new 
		store: aStore; 
		item: anItem; 
		yourself! !

!PRPaypalCommandColumn class methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 22:04'!
inStore: aStore
	^self new 
		store: aStore; 
		yourself! !

!PRPaypalCommandColumn methodsFor: 'as yet unclassified' stamp: 'jmck 3/14/2009 18:25'!
altText
	^self subclassResponsibility! !

!PRPaypalCommandColumn methodsFor: 'as yet unclassified' stamp: 'jmck 3/14/2009 10:23'!
cmd
	^self propertyAt: 'cmd' ifAbsent: [^nil]! !

!PRPaypalCommandColumn methodsFor: 'as yet unclassified' stamp: 'jmck 3/14/2009 18:57'!
cmd: aCommand
	^self propertyAt: 'cmd' put: aCommand! !

!PRPaypalCommandColumn methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 22:14'!
cmdValue
	self subclassResponsibility! !

!PRPaypalCommandColumn methodsFor: 'as yet unclassified' stamp: 'jmck 3/14/2009 09:07'!
defaultUseLinks
	^false! !

!PRPaypalCommandColumn methodsFor: 'as yet unclassified' stamp: 'jmck 3/14/2009 18:25'!
imageUrl
	^self subclassResponsibility! !

!PRPaypalCommandColumn methodsFor: 'accessing' stamp: 'jmck 3/14/2009 19:17'!
item
	"Answer the value of item"

	^ item! !

!PRPaypalCommandColumn methodsFor: 'accessing' stamp: 'jmck 3/14/2009 19:34'!
item: anObject
	"Set the value of item"

	item := anObject! !

!PRPaypalCommandColumn methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 22:17'!
renderCellFormContent: anItem on: html
	html form
		attributeAt: #target put: 'PayPal';
		action: 'https://www.paypal.com/cgi-bin/webscr';
		post;
		with: [
			self renderCmdInputOn: html.
			self store description do: [ :desc |
				desc isPaypal ifTrue: [ 
					self renderHiddenInputFor: desc of: self store on: html] ].
			anItem description do: [ :desc | 
				desc isPaypal ifTrue: [ 
					self renderHiddenInputFor: desc of: anItem on: html] ].
			self renderPaypalButtonOn: html. ]
		
	! !

!PRPaypalCommandColumn methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 22:14'!
renderCmdInputOn: html
	html hiddenInput
		name: 'cmd';
		value: self cmdValue
! !

!PRPaypalCommandColumn methodsFor: 'as yet unclassified' stamp: 'jmck 3/15/2009 22:21'!
renderHiddenInputFor: aDescription of: anObject on: html
	html hiddenInput
		name: aDescription accessor accessor key;
		value: (anObject readUsing: aDescription).
! !

!PRPaypalCommandColumn methodsFor: 'accessing' stamp: 'jmck 3/15/2009 20:16'!
renderPaypalButtonOn: html
	html imageButton 
		name: 'submit';
		url: self imageUrl;
		attributeAt: 'alt' put: self altText! !

!PRPaypalCommandColumn methodsFor: 'accessing' stamp: 'jmck 3/14/2009 19:17'!
store
	"Answer the value of store"

	^ store! !

!PRPaypalCommandColumn methodsFor: 'accessing' stamp: 'jmck 3/14/2009 19:18'!
store: anObject
	"Set the value of store"

	store := anObject! !
